--------------------
--Players start pos
local Players_x = 76
local Players_y = 110
--------------------

function love.load()
	love.physics.setMeter( 64 )
	World = love.physics.newWorld( 0, 9.81 * 64, true)
-------------------------------------------------------------------------
	-- Player
	PlayerSprite = love.graphics.newImage ("Sprites/Player/Player.png")
	-----------------------
	Objects = {}
	-----------------------
	-- Player Physics
	Objects.Player = {}
	Objects.Player.body = love.physics.newBody( World, Players_x, Players_y, "dynamic")
	Objects.Player.shape = love.physics.newRectangleShape( 22, 34 )
	Objects.Player.fixture = love.physics.newFixture( Objects.Player.body , Objects.Player.shape, 1 )
	----------------------
	-- Background
	Background = love.graphics.newImage("Sprites/Background.png")
	----------------------
-----------------------------------------------------------------------------
	-- Physics
	Objects.floor1 = {}
	Objects.floor1.body = love.physics.newBody( World, 211, 152, "static")
	Objects.floor1.shape = love.physics.newRectangleShape( 300, 30)
	Objects.floor1.fixture = love.physics.newFixture( Objects.floor1.body, Objects.floor1.shape, 1)
	-------------------------------------------------------------------------------
	Objects.floor2 = {}
	Objects.floor2.body = love.physics.newBody( World, 585, 182, "static")
	Objects.floor2.shape = love.physics.newRectangleShape( 300, 30)
	Objects.floor2.fixture = love.physics.newFixture( Objects.floor2.body, Objects.floor2.shape, 1)
	-------------------------------------------------------------------------------
	Objects.ground = {}
	Objects.ground.body = love.physics.newBody( World, 400, 570, "static")
	Objects.ground.shape = love.physics.newRectangleShape( 800, 30)
	Objects.ground.fixture = love.physics.newFixture( Objects.ground.body, Objects.ground.shape, 1)
	-------------------------------------------------------------------------------
end

function love.draw()
	love.graphics.draw( Background, 0, 0)
	love.graphics.draw (PlayerSprite, Objects.Player.body:getX(), Objects.Player.body:getY())
	---------------------
	love.graphics.print("Current FPS: "..tostring(love.timer.getFPS( )), 10, 10)
	---------------------
end